View Issue Details

IDProjectCategoryView StatusLast Update
00298752.x IDE BugsGame OptionsPublic2019-05-16 12:04
ReporterStewart BishopAssigned ToAlan Savage 
PriorityVery HighSeverityA - Crash/HangReproducibility100%
Status ClosedResolutionFixed 
Product Version2.1.5 
Target Version2.2.0Fixed in Version2.2.0 
Summary0029875: Game Options: Older projects with configs can crash the IDE as the Android SDK values were int64 and are now strings
DescriptionWithin this specified project the Android Minimum SDK value is an int64 as we previously used to store these values as in64 but now with the latest runtime we now store them as strings, if you run any project which will have an int64 value for any of the SDK fields your IDE will crash with the following exception:

[07:44:19:455(15c4)] --------------------------------------------------------------------------------
[07:44:19:457(15c4)] IDE Exception: System.InvalidCastException
[07:44:19:458(15c4)] Exception message: Unable to cast object of type 'System.Int64' to type 'System.String'.
[07:44:19:461(15c4)] Exception stack: at YoYoStudio.MVCFormat.GMAndroidOptions_Model.get_option_android_minimum_sdk()
   at YoYoStudio.Plugins.CorePlugins.Build.Common.CheckAndroidPlatformSettings()
   at YoYoStudio.Plugins.CorePlugins.Build.PackageProgram.Initialise(ModulePackage _ide)
   at YoYoStudio.Plugins.PluginManager.ActivatePlugin(Plugin _plugin, Type _type, Object[] _parameters)
   at YoYoStudio.Plugins.Command.execute_object(String _command, Object _focus, Object[] paramaters)
   at YoYoStudio.Plugins.Command.Perform(Function _command, String _action, Object[] _parameters)
   at YoYoStudio.Plugins.Command.execute_object(String _command, Object _focus, Object[] paramaters)
   at YoYoStudio.GUI.KeyboardManager.ExecuteKeyboardShortcut(String _combo, Dictionary`2 _map, Object _owner)
   at YoYoStudio.GUI.KeyboardManager.(GUIBase , String )
   at YoYoStudio.GUI.KeyboardManager.(Desktop , GUIBase , Boolean , Boolean )
   at YoYoStudio.GUI.WindowManager.DoEvents()
   at YoYoStudio.IDE.Run()
   at YoYoStudio.IDE.Execute(String[] _args, Int32 _initialWidth, Int32 _initialHeight)
[07:44:19:462(15c4)] --------------------------------------------------------------------------------
Steps To Reproduce1) Open the project
2) Switch to Android and the Test config
3) Hit F5
4) IDE crashes instantly
TagsIDE, options
2.x IDE Found In
2.x Runtime Found In
2.x IDE Verified In2.2.0.334
2.x Runtime Verified In2.2.0.252

Activities

Stewart Bishop

2018-08-07 16:05

Adminstrator  

AndroidInt64Bug.yyz (19,616 bytes)

Matthew McInnes

2018-09-05 16:11

Adminstrator   ~0061523

Closing. Verified as fixed in:

IDE v2.2.0.334 Runtime v2.2.0.252